# $Revision: 1.20 $, $Date: 2009/10/02 08:28:45 $
Summary:	X.org video driver for old S3 video adapters
Summary(pl.UTF-8):	Sterownik obrazu X.org dla starych kart graficznych S3
Name:		xorg-driver-video-s3
Version:	0.6.3
Release:	2
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-s3-%{version}.tar.bz2
# Source0-md5:	5eb06d88533fb327d067928faeb20860
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-util-util-macros >= 0.99.2
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
BuildRequires:  rpmbuild(macros) >= 1.389
%requires_xorg_xserver_videodrv
Requires:	xorg-xserver-server >= 1.0.99.901
Obsoletes:	X11-driver-s3 < 1:7.0.0
Obsoletes:	XFree86-S3
Obsoletes:	XFree86-driver-s3 < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for old S3 video adapters. It supports 964, 968,
Trio32/64, Aurora64V+, Trio64UV+, Trio64V2/DX/GX chipsets.

%description -l pl.UTF-8
Sterownik obrazu X.org dla starych kart graficznych S3. Obsługuje
układy 964, 968, Trio32/64, Aurora64V+, Trio64UV+, Trio64V2/DX/GX.

%prep
%setup -q -n xf86-video-s3-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/s3_drv.so
%{_mandir}/man4/s3.4*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-driver-video-s3.spec,v $
Revision 1.20  2009/10/02 08:28:45  arekm
- release 2

Revision 1.19  2009/09/20 06:17:52  arekm
- mandir is back

Revision 1.18  2009/09/20 06:17:27  arekm
- up to 0.6.3

Revision 1.17  2009/08/20 06:23:09  amateja
- updated to 0.6.2

Revision 1.16  2009/02/25 21:39:40  arekm
- up to 0.6.1

Revision 1.15  2009/02/25 21:06:28  arekm
- release 4

Revision 1.14  2008/08/30 16:34:08  arekm
- release 3

Revision 1.13  2008/07/01 16:10:24  arekm
- release 2

Revision 1.12  2008-03-19 19:33:38  arekm
- up to 0.6.0

Revision 1.11  2007/09/06 19:45:55  arekm
- rebuilding for new xserver

Revision 1.10  2007/09/06 16:22:52  arekm
- track xserver videodrv deps

Revision 1.9  2007/04/30 20:05:12  qboosh
- Obsoletes for XFree86/X11 drivers

Revision 1.8  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.6  2006/11/28 17:59:04  arekm
- up to 0.5.0

Revision 1.5  2006/04/11 10:51:19  qboosh
- updated to 0.4.1

Revision 1.4  2006/01/09 13:09:56  qboosh
- 0.3.5.5 (X11R7.0 release)

Revision 1.3  2005/12/08 15:37:29  qboosh
- 0.3.5.3 (X11R7.0-RC3)

Revision 1.2  2005/11/20 15:29:28  qboosh
- 0.3.5.2 (X11R7.0-RC2)

Revision 1.1  2005/10/30 12:22:46  qboosh
- new
